> ## Documentation Index
> Fetch the complete documentation index at: https://developers.tally.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Listing questions

> Returns a list of all questions in a form.



## OpenAPI

````yaml GET /forms/{formId}/questions
openapi: 3.0.1
info:
  title: OpenAPI
  description: Tally's API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.tally.so
security:
  - bearerAuth: []
paths:
  /forms/{formId}/questions:
    get:
      tags:
        - Forms
      summary: List form questions
      description: Returns a list of all questions in a form.
      parameters:
        - name: formId
          in: path
          required: true
          description: The ID of the form
          schema:
            type: string
      responses:
        '200':
          description: List of questions
          content:
            application/json:
              schema:
                type: object
                properties:
                  questions:
                    type: array
                    items:
                      $ref: '#/components/schemas/Question'
                  hasResponses:
                    type: boolean
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found - Form not found
      security:
        - bearerAuth: []
components:
  schemas:
    Question:
      type: object
      properties:
        id:
          type: string
        type:
          $ref: '#/components/schemas/BlockType'
        title:
          type: string
        isTitleModifiedByUser:
          type: boolean
        formId:
          type: string
        isDeleted:
          type: boolean
        numberOfResponses:
          type: integer
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        fields:
          type: array
          items:
            $ref: '#/components/schemas/QuestionField'
    BlockType:
      type: string
      enum:
        - FORM_TITLE
        - TEXT
        - LABEL
        - TITLE
        - HEADING_1
        - HEADING_2
        - HEADING_3
        - DIVIDER
        - PAGE_BREAK
        - IMAGE
        - EMBED
        - EMBED_VIDEO
        - EMBED_AUDIO
        - QUESTION
        - MATRIX
        - INPUT_TEXT
        - INPUT_NUMBER
        - INPUT_EMAIL
        - INPUT_LINK
        - INPUT_PHONE_NUMBER
        - INPUT_DATE
        - INPUT_TIME
        - TEXTAREA
        - FILE_UPLOAD
        - LINEAR_SCALE
        - RATING
        - HIDDEN_FIELDS
        - MULTIPLE_CHOICE_OPTION
        - CHECKBOX
        - DROPDOWN_OPTION
        - RANKING_OPTION
        - MULTI_SELECT_OPTION
        - PAYMENT
        - SIGNATURE
        - MATRIX_ROW
        - MATRIX_COLUMN
        - WALLET_CONNECT
        - CONDITIONAL_LOGIC
        - CALCULATED_FIELDS
        - CAPTCHA
        - RESPONDENT_COUNTRY
    QuestionField:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        type:
          $ref: '#/components/schemas/BlockType'
        blockGroupUuid:
          type: string
          format: uuid
        title:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````